GS-MOUNT(1)

NAME
gs-mount - Secure filesystem client through via Global Socket.

SYNOPSIS
gs-mount [-lTR] [-s secret] [-k keyfile] [mountpoint]

DESCRIPTION
The gs-mount utility is a wrapper script for gs-netcat. It allows a user to mount and access a filesystem from another user via the Global Socket Relay Network (GSRN). This is useful in a scenario where both users are behind NAT/Firewall and unable to connect to each other directly.

OPTIONS

-s secret
    A password chosen by the user. Both users need to use the same password to connect.

-k FILE
    A file containing the password.

-l  Server mode. The default mode is client.

-R  Places server (-l) into a read-only mode. Attempts to open files for writing, as well as other operations that change the state of the filesystem, will be denied.

-T  Use TOR. The gs-mount tool will connect via TOR to the GSRN. This requires TOR to be installed and running. The IP and PORT of the TOR server can be set using environment variables.

See gs-netcat(1) for more options.

EXAMPLES
Example 1 - Alice sharing her current directory:
    $ gs-mount -s MySecret -l

Bob mounting Alice's directory to ~/gs-alice:
    $ gs-mount -s MySecret ~/gs-alice

ENVIRONMENT
See gs-netcat(1) for a list of supported environment variables.

SEE ALSO
gsocket(1), gs-netcat(1), gs-sftp(1), blitz(1), sshfs(1)

BUGS
Efforts have been made to have gs-mount "do the right thing" in all its various modes. If you believe that it is doing the wrong thing under whatever circumstances, please notify me (skyper@thc.org) and tell me how you think it should behave.